{{& path}}/{id}:
  put:
    operationId: put{{schema}}
    tags:
    - {{tag}}
    summary: Update full {{schema}} object resource
    parameters:
      - name: id
        required: true
        in: path
        description: Id of the {{schema}} you want to put
        schema:
          type: integer
    responses:
      '200':
        description: Updated {{schema}}
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/{{schema}}'
      '400':
        description: id is integer
        x-draig-validation-fixture:
          inpath:
            id: '"a"'
          inbody: '{}'
      '404':
        description: No data found
        x-draig-test-fixture:
          id: 9999
          body: '{}'
    requestBody:
      required: true
      description: All required properties of the {{schema}} to put
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/{{schema}}'
